UploadAjaxActionEvent (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.event.UploadAjaxActionEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class UploadAjaxActionEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.ajax4jsf.event.AjaxEvent
                  org.richfaces.event.UploadAjaxActionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class UploadAjaxActionEvent

extends org.ajax4jsf.event.AjaxEvent

Since:
  3.3.1
Author:
  Nick Belaevski
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UploadAjaxActionEvent(javax.faces.component.UIComponent component, java.lang.String action, java.lang.String uploadId)`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getUploadId()`

Methods inherited from class org.ajax4jsf.event.AjaxEvent
`isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UploadAjaxActionEvent

    public UploadAjaxActionEvent(javax.faces.component.UIComponent component,
                                 java.lang.String action,
                                 java.lang.String uploadId)

Method Detail

### getAction

    public java.lang.String getAction()

### getUploadId

    public java.lang.String getUploadId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.